// Code2C.h
#include <afxwin.h>
#include <afxcmn.h>
#include <fstream>
#define N 20	// max #nodes
#define LinkRange 200	// transmission range
#define IDC_BUTTON1 501
#define IDC_BUTTON2 502

class CCode2C : public CFrameWnd
{
private:
	int n;
	CEdit eNodes;
	CButton button1,button2;
	CPoint home,end;
	CFont fHelvetica,fArial;
	CListCtrl table;

	typedef struct
	{
		CPoint home;
		CRect rct;
		int wt[N+1];
	} NODES;
	NODES v[N+1];
public:
	CCode2C();
	~CCode2C()	{}
	void Initialize(),NewGraph(),DrawNode(int),ShowTable();
	afx_msg void OnPaint();
	afx_msg void OnCompute();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp:public CWinApp
{
	public:
		virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance(void)
{
	m_pMainWnd = new CCode2C;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
