// Code3A.h
#include <afxwin.h>
#include <math.h>
#include <afxcmn.h>
#define N 10
#define M 200
#define IDC_BUTTON 501

class CCode3A : public CFrameWnd
{
private:
	typedef struct
	{
		double lambda,v[N+1];
	} EIGEN;
	EIGEN Eigen[M+1];
	int idc,n;
	double A[N+1][N+1],Epsilon;
	CEdit eA[N+1][N+1],eEpsilon,eV[N+1];
	CStatic sLambda[N+1],sV[N+1];
	CStatic sLabel1,sLabel2;
	CButton button;
	CListCtrl table;
public:
	CCode3A();
	~CCode3A()	{}
	afx_msg void OnCompute();
	void PowerMtd();
	void Multiply(int),ShowTable(double [M+1],int);
	DECLARE_MESSAGE_MAP();
};

class CMyWinApp:public CWinApp
{
	public:
		virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance(void)
{
	m_pMainWnd = new CCode3A;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
