// Code3B.h
#include <afxwin.h>
#include <math.h>
#include <afxcmn.h>
#define N 20
#define IDC_NGRAPH 500
#define IDC_COMPUTE 501

class CCode3B:public CFrameWnd
{
private:
	int idc,vColor[N+1];
	int n,kMax,adjRange;
	CPen pColor[N+1]; 
	CButton bNGraph,bCompute;
	CPoint home,end;
	CFont fArial8,fArial10;
	CListCtrl table;
	CEdit eN,eAdj;
	CStatic sN,sAdj;

	typedef struct
	{
		CPoint home;
		CRect rct;
		bool adj[N+1];
		int color;
	} NODE;
	NODE v[N+1];

public:
	CCode3B();
	~CCode3B()		{}
	void Initialize(),NodeUpdate(int),ShowTable();
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT,CPoint);
	afx_msg void OnNewGraph(),OnCompute();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp:public CWinApp
{
public:
	virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd=new CCode3B;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}

