// Code3C.h
#include <afxwin.h>
#include <time.h>
#include <math.h>
#include <afxcmn.h>
#define N 20
#define IDC_NGRAPH 501
#define IDC_COMPUTE 502

class CCode3C : public CFrameWnd
{
private:
	CPoint home,end;
	CButton bNGraph,bCompute;
	CStatic sN,sCoc,sAdj;
	CEdit eN,eCoc,eAdj;
	CFont fArial10,fArial8;
	CPen pColor[N+1];
	CListCtrl adjTable,cocTable;
	int idc,n,adjRange,cocRange;	// n=#nodes
	int vChannel[N+1],kMax;			// kMax=max #channels
	typedef struct
	{
		int channel;				// allocated channels
		bool adj[N+1];				// adjacency: 0=no, 1=yes
		bool coc[N+1];				// co-channel: 0=no, 1=yes
		CPoint home;
		CRect rct;
	} NODE;
	NODE v[N+1];
public:
	CCode3C();
	~CCode3C()	{}
	afx_msg void OnPaint();
	afx_msg void OnCompute();
	afx_msg void OnNewGraph();
	void Initialize(),ShowTable();
	void NodeUpdate(int);
	DECLARE_MESSAGE_MAP();
};

class CMyWinApp:public CWinApp
{
	public:
		virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance(void)
{
	m_pMainWnd = new CCode3C;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
