// Code4A.h
#include <afxwin.h>
#include <math.h>
#define N 20
#define LinkRange 200
#define IDC_NGRAPH 500
#define IDC_COMPUTE 501

class CCode4A:public CFrameWnd
{
private:
	int idc;
	int Sv,Dv;
	int Pv[N+1];
	bool fv[N+1];
	CButton bNGraph,bCompute;
	CPoint home,end;
	CFont fHelvetica,fArial;
	CEdit eSv,eDv;

	typedef struct
	{
		CPoint home;
		CRect rct;
		int wt[N+1];
		int sp[N+1];
	} NODE;
	NODE v[N+1];

public:
	CCode4A();
	~CCode4A()		{}
	int GetCUN();
	void Dijkstra();
	void DrawPath(),Initialize(),DrawNode(int);
	afx_msg void OnPaint();
	afx_msg void OnNewGraph(),OnCompute();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp:public CWinApp
{
public:
	virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd=new CCode4A;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}

