// Code4D.h
#include <afxwin.h>
#include <afxcmn.h>
#define IDC_TABLE 500
#define IDC_RESET 501
#define IDC_START 502
#define NMax 100


class CCode4D:public CFrameWnd
{
private:
	int Nx,Ny,n;
	int Sv,Dv,nBus,idc,LineFlag;
	int cColor;
	int Pv[NMax+1];
	bool fv[NMax+1],flag;
	CButton Reset,Generate,Start;
	CPen pBus[NMax+1];
	CPoint home;
	CFont fCourier,fArial,fTimes;
	CListCtrl table;
	CEdit eNx,eNy;
	CStatic sNx,sNy;

	typedef struct
	{
		CPoint home;
		CRect rct;
		int wt[NMax+1];
		int sp[NMax+1];
	} NODE;
	NODE v[NMax+1];

	typedef struct
	{
		int Path[NMax+1];
		int nNodes;
	} BUS;
	BUS Bus[NMax+1];

public:
	CCode4D();
	~CCode4D()		{}
	int GetCUN();
	void Dijkstra(), DrawPath();
	void Initialize(),ShowTable(),DisplaySetup();
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT,CPoint);
	afx_msg void OnReset();
	afx_msg void OnStart();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp:public CWinApp
{
public:
	virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd=new CCode4D;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
