#include <afxwin.h>
#include <math.h>
#include <time.h>
#define IDC_START 500
#define N 100

typedef struct		// Cartesian points
{
	double x,y;
} PT;

typedef struct
{
	PT a,b,c;
	PT center;
	double radius;
	bool flag;
} TRIANGLE;

class CCode7B : public CFrameWnd
{
private:
	int idc,n;
	CFont fArial;
	CEdit eN;
	CButton Start,Reset;
	CPoint WHome,WEnd;	// Windows home, end
	PT P[N+1];
	TRIANGLE T[N*N+1];
	PT CHome,CEnd;	// CHome,CEnd=Cartesian home,end
public:
	CCode7B();
	~CCode7B()		{}
	void Triangulate(),sort(int,int,int,int),SLE(int);
	PT ConvertWC(CPoint);
	CPoint ConvertCW(PT);	
	afx_msg void OnStart();
	afx_msg void OnPaint();
	DECLARE_MESSAGE_MAP();
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
}; 
CMyWinApp  MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd = new CCode7B;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
