// Code10A.h
#include <afxwin.h>
#define M 8
#define N 8
#define rSIZE 40		// node size
#define pSIZE 6			// port size
#define rSPACING 20		// node spacing

class CCode10A : public CFrameWnd
{
private:
	typedef struct
	{
		CRect rct;
		CPoint home;
		CPoint w,e,n,s;
	} NODE;
	NODE Node[M+1][N+1];
	typedef struct 
	{
		bool status;		// b=begin, a=active, e=end
		int dir;			// 1=east, 2=west, 3=north, 4=south
		int jointPort;		// 1=east, 2=west, 3=north, 4=south
		int cI,cJ,pI,pJ;	// c=current, p=previous
		CPoint joint,A,B;
	} CurrentPosition;
	CurrentPosition cPos;
	CPen pBus[10];
	int BusColor;
public:
	CCode10A();
	~CCode10A()				{}
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags,CPoint pt);
	void DrawPort(int,int,CPoint);
	DECLARE_MESSAGE_MAP();
};

class CMyWinApp : public CWinApp
{
public:
  virtual BOOL InitInstance();
};
CMyWinApp  MyApplication;

BOOL CMyWinApp::InitInstance(void)
{
	m_pMainWnd = new CCode10A;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
