// Code2D.h
#include <afxwin.h>
#include <math.h>
#define IDC_COMPUTE 500
#define M 10	// max columns
#define N 10	// max rows

typedef struct		// Cartesian points
{
	double x,y;
	int p;
} PT;

typedef struct
{
	PT a,b,c,d,e,f;
} HEX;

typedef struct
{
	PT home;
	CRect rct;
	bool C[2*M*(2*N+1)];
} NODE;

class CCode2D : public CFrameWnd
{
private:
	NODE v[2*M*(2*N+1)];
	int idc,m,n;
	CEdit eR,eC;
	CButton bCompute;
	CPoint home,end;	// Windows home, end
	CFont fArial,fHelvetica;
	HEX h[M+1][N+1];
	PT CHome,CEnd;	// CHome,CEnd=Cartesian home,end	
public:
	CCode2D();
	~CCode2D()		{}
	void Initialize(),DrawHex(),DrawNode(int);
	CPoint ConvertCW(PT);	
	afx_msg void OnCompute();
	afx_msg void OnPaint();
	DECLARE_MESSAGE_MAP();
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
}; 
CMyWinApp  MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd = new CCode2D;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
