// Code4B.h
#include <afxwin.h>
#include <afxcmn.h>
#include <math.h>
#define N 20
#define LinkRange 200
#define IDC_NGRAPH 800

class CCode4B : public CFrameWnd
{
private:
	int Sv,Dv,bFlag;
	CButton bNGraph;
	CListCtrl table1,table2;
	int alpha[N+1][N+1][N+1];
	typedef struct
	{
		int via[N+1];
	} LINK;
	LINK e[N+1][N+1];
	typedef struct
	{
		CPoint home;
		CRect rct;		
		int wt[N+1],sp[N+1];
	} NODE;
	NODE v[N+1];
	CPoint home,end;
	CFont fArial,fHelvetica;
public:
	CCode4B();
	~CCode4B()	{}
	void FloydWarshall(),Compute(),DrawNode(int);
	void Initialize(),DrawVCPath(int,int,int);
	void OnNewGraph(),ShowTable();
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown (UINT, CPoint);
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp:public CWinApp
{
public:
	virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd=new CCode4B;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
