// Code4C.h
#include <afxwin.h>
#include <afxcmn.h>
#include <fstream>
#define IDC_TABLE 500
#define IDC_NGRAPH 501
#define N 20
#define LinkRange 200

class CCode4C:public CFrameWnd
{
private:
	int Sv,Dv,nBus,bFlag;
	int cColor;
	int Pv[N+1];
	bool fv[N+1];
	CButton bNGraph;
	CPen pBus[N+1];
	CPoint home,end;
	CFont fHelvetica,fArial;
	CListCtrl table;

	typedef struct
	{
		CPoint home;
		CRect rct;
		int wt[N+1];
		int sp[N+1];
	} NODE;
	NODE v[N+1];

	typedef struct
	{
		int Path[N+1];
		int nNodes;
		int sp;
	} BUS;
	BUS Bus[N+1];
public:
	CCode4C();
	~CCode4C()		{}
	int GetCUN();
	void Dijkstra(),DrawPath(),DrawNode(int);
	void Initialize(),ShowTable(),DisplaySetup();
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT,CPoint);
	afx_msg void OnNewGraph();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp:public CWinApp
{
public:
	virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd=new CCode4C;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
