// Code5C.h
#include <afxwin.h>
#include <afxcmn.h>
#include <math.h>
#include <time.h>
#define N 10
#define R 250
#define IDC_NGRAPH 501
#define IDC_tWEIGHT 502
#define IDC_tST 503
#define IDC_COMPUTE 600

class CCode5C : public CFrameWnd
{
private:	
	CButton bNGraph,bCompute;
	CPoint Home,End;
	CFont fCourier,fArial;
	CListCtrl tWeight,tST,table, tabletn, tableP;
	int nEdges;
	int graph_edge[N+1][N+1];
	int tree[N+1][N+1];
	int sets[N+1][N+1];
	int top[N+1];
	int total_cost;
	
	typedef struct
	{
		CPoint Home;
		CRect rct;
	} NODE;
	NODE v[N+1];

	typedef struct
	{
		int Wt;
		bool ST;
	} EDGE;
	EDGE e[N+1][N+1];

public:
	CCode5C();
	~CCode5C()	{}
	afx_msg void OnPaint();
	afx_msg void OnCompute();
	afx_msg void OnNewGraph();
	void Kruskal(),ShowResults(),SortEdges(),Initialize(),UpdateNodes();
	int FindNode(int);
	DECLARE_MESSAGE_MAP();
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
}; 
CMyWinApp  MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd = new CCode5C;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
