// Code6B.h
#include <afxwin.h>
#include <fstream>
#define IDC_NGRAPH 500
#define IDC_COMPUTE 501
#define N 50
#define R 250

class CCode6B : public CFrameWnd
{
private:
	int vCliq[N+1],p[N+1];
	int max[N+1];
	int maxi,maximum,nCliq;
	CPoint Home,End;
	CFont fArial,fVerdana;
	CPen pColor[N+1];
	CButton bNGraph,bCompute;

	typedef struct
	{
		int adj;
	} EDGE;
	EDGE e[N+1][N+1];

	typedef struct
	{
		CPoint Home;
		CRect rct;
	} NODE;
	NODE v[N+1];
public:
	CCode6B();
	~CCode6B()	{}
	void MultiCliques(),Initialize();
	afx_msg void OnPaint(),OnNewGraph(),OnCompute();
	DECLARE_MESSAGE_MAP()
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
};
CMyWinApp MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd = new CCode6B;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
