// Code8A.h
#include <afxwin.h>
#include <afxcmn.h>
#include <fstream>
#define IDC_TABLE 401
#define M 4					// M x M processors
#define N 500				// max #Jobs
#define nIncJobsMax 10		// max #incoming Jobs per unit time
#define JobLengthMax 8
using namespace std;

class CCode8A : public CFrameWnd
{
private:
	CPoint home,end;
	int t,n;			// t=time, n=#tasks
	int nSuccessfulJobs,hBar,sBar,BarXSta;
		// hBar=bar height, sBar=bar spacing
	CFont fArial;
	CListCtrl table;

	typedef struct
	{
		CRect rct;
		CPoint home;
	} MESH;
	MESH mPE[M+1][M+1];

	typedef struct
	{
		bool status;
		int v[N+1],lastJob,totJobs,totExecTime;
	} MACHINE;
	MACHINE PE[M*M+1];

	typedef struct
	{
		bool status;
		int length,ast,act,aPE;	// aPE=assigned PE
	} JOB;
	JOB v[N+1];
public:
	CCode8A() ;
	~CCode8A()				{}
	afx_msg void OnPaint();
	afx_msg void OnKeyDown (UINT nChar,UINT nRep,UINT nFlags);
	DECLARE_MESSAGE_MAP();
	void ShowTable();
	void PEInfoColumn();
	void DrawMesh(),UpdateMesh(int,int,int [M*M+1]);
};

class CMyWinApp : public CWinApp
{
public:
	virtual BOOL InitInstance();
}; 
CMyWinApp  MyApplication;

BOOL CMyWinApp::InitInstance()
{
	m_pMainWnd = new CCode8A;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	return TRUE;
}
